<?php
//
//Отключаем ошибки
error_reporting(E_ALL & ~E_NOTICE);
//
/*
//Включаем ошибки
ini_set('error_reporting', E_ALL);
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
//
*/
session_start(); // запускаем ссесию
ob_start(); // включаем буферизацию вывода, нужно для заголовков header
mb_internal_encoding("UTF-8"); // внутренния кодировка сайта
//
//Connect base
require_once($_SERVER['DOCUMENT_ROOT'].'/core/connect_pdo.php');
//
//Авторизация
$name = checking($_COOKIE['name']);
$hash = checking($_COOKIE['hash']);

if($name and $hash) {
$BaseUser  = $BaseConnect->prepare("SELECT * FROM `users` WHERE `name` = ? and `hash` = ?");
$BaseUser -> execute(array($name, $hash));
$user = $BaseUser->fetch(PDO :: FETCH_ASSOC);
if(!$user) {
setcookie('name', '', time() - 86400 * 365, '/');
setcookie('hash', '', time() - 86400 * 365, '/');
}
}
//
//Паггинация
function page($num,$str,$result){
// обработчик страниц
$num = number($num);
if($num < '1'){$num = '1';}$start = $str * $num - $str;
$endpage = ceil($result/$str);
if($num > $endpage){$start = '0';}
return $start;
}
function ppage($url,$num,$str,$result){

	// панель страниц
	$num = number($num); // текущая страница
	$endpage = ceil($result/$str); // последняя страница

	if($endpage < '1'){$endpage = '1';}
	if($endpage < $num or $num < '1'){$num = '1';};

	if($str < $result){

	echo "
	<div class = 'pages'>
	";

	$n_4 = number($num - 4);
	$n_3 = number($num - 3);
	$n_2 = number($num - 2);
	$n_1 = number($num - 1);
	$n1 = '1';
	$p1 = number($num + 1);
	$p2 = number($num + 2);
	$p3 = number($num + 3);
	$p4 = number($num + 4);


	if($num != '1'){
		echo "<a class = 'page' href = '".$url.$n1."/' data-page = '".$n1."'><</a> ";
	}
	else{
		echo "<span class = 'page-current'><</span> ";
	}
	if($num > '4' && $endpage - 1 < $num){
		echo "<a title = 'Перейти на страницу ".($n_4)."' class = 'page' href = '".$url.$n_4."/' data-page = '".$n_4."'>".$n_4."</a> ";
	}
	if($num > '3' && $endpage - 2 < $num){
		echo "<a title = 'Перейти на страницу ".($n_3)."' class = 'page' href = '".$url.$n_3."/' data-page = '".$n_3."'>".$n_3."</a> ";
	}
	if($num > '2'){
		echo "<a title = 'Перейти на страницу ".($n_2)."' class = 'page' href = '".$url.$n_2."/' data-page = '".$n_2."'>".$n_2."</a> ";
	}
	if($num > '1'){
		echo "<a title = 'Перейти на страницу ".($n_1)."' class = 'page' href = '".$url.$n_1."/' data-page = '".$n_1."'>".$n_1."</a> ";
	}

	echo " <span class = 'page-current'>".$num."</span> ";

	if($endpage - 1 > $num){
		echo "<a class = 'page' href = '".$url.$p1."/' data-page = '".$p1."'>".$p1."</a> ";
	}
	if($endpage - 2 > $num){
		echo "<a class = 'page' href = '".$url.$p2."/' data-page = '".$p2."'>".$p2."</a> ";
	}
	if($endpage - 3 > $num && $num <= '2'){
		echo "<a class = 'page' href = '".$url.$p3."/' data-page = '".$p3."'>".$p3."</a> ";
	}
	if($endpage - 4 > $num && $num <= '1'){
		echo "<a class = 'page' href = '".$url.$p4."/' data-page = '".$p4."'>".$p4."</a> ";
	}

	if($endpage != $num){
		if($endpage - 3 < $num){
		echo "<a title = 'Перейти на страницу ".($endpage)."' class = 'page' href = '".$url.$endpage."/' data-page = '".$endpage."'>".$endpage."</a> ";
		}
		echo "<a class = 'page' href = '".$url.$endpage."/' data-page = '".$endpage."'>></a> ";
	}
	else{
		echo "<span class = 'page-current'>></span> ";
	}
	echo "</div>";
	}
}
//
//Время
function clock($time=NULL){
global $user;
if ($time==NULL)$time=time();
if (isset($user))$time=$time+60*60;
$timep="".date("j M Y в H:i", $time)."";
$time_p[0]=date("j n Y", $time);
$time_p[1]=date("H:i", $time);
if ($time_p[0]==date("j n Y"))$timep = date("H:i:s", $time);
if (isset($user)){
if ($time_p[0]==date("j n Y", time()+60*60))$timep = "Сегодня в ".date("H:i:s", $time);
if ($time_p[0]==date("j n Y", time()-60*60*24))$timep="Вчера в $time_p[1]";}
else{
if ($time_p[0]==date("j n Y"))$timep=date("H:i:s", $time);
if ($time_p[0]==date("j n Y", time()-60*60*24))$timep="Вчера в $time_p[1]";}
$timep=str_replace("Jan","Янв",$timep);
$timep=str_replace("Feb","Фев",$timep);
$timep=str_replace("Mar","Марта",$timep);
$timep=str_replace("May","Мая",$timep);
$timep=str_replace("Apr","Апр",$timep);
$timep=str_replace("Jun","Июня",$timep);
$timep=str_replace("Jul","Июля",$timep);
$timep=str_replace("Aug","Авг",$timep);
$timep=str_replace("Sep","Сент",$timep);
$timep=str_replace("Oct","Окт",$timep);
$timep=str_replace("Nov","Ноября",$timep);
$timep=str_replace("Dec","Дек",$timep);
return $timep;
}
//
//Вывод для цикла
function user($users){
$users = fch("SELECT * FROM `users` WHERE `id` = ? LIMIT 1", array($users));
//
//
$list = '<img src = "/design/img/user.png"> <a href="?profile='.$users['id'].'"><u>'.$users['name'].'</u></a>';
return $list;
}
//
function user2($users){
$users = fch("SELECT * FROM `users` WHERE `id` = ? LIMIT 1", array($users));
//
//
$list = '<a href="?profile='.$users['id'].'"><u>'.$users['name'].'</u></a>';
return $list;
}
//
$ex = $user['id'];
function userexit($ex){
	unset($_SESSION['name']);
unset($_SESSION['hash']);
setcookie("name", $ex, time()-86400*365, "/");
setcookie("hash", $hash, time()-86400*365, "/");
}
//
?>